﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Input;

namespace App2010MenuKeyTips
{
    public class MainWindowViewModel
    {
        #region private Fields
        private ICommand testCommand;
        #endregion

        #region public Properties
        public ICommand TestCommand
        {
            get
            {
                return testCommand ??
                       (testCommand = new RelayCommand(() =>
                       {
                           MessageBox.Show("Test");
                       }, () => Enabled));
            }
        }
        #endregion

        #region private Fields
        private ICommand toggleStateTestCommand;
        #endregion

        private bool Enabled = true;
        #region public Properties
        public ICommand ToggleStateTestCommand
        {
            get
            {
                return toggleStateTestCommand ??
                       (testCommand = new RelayCommand(() =>
                       {
                           Enabled = !Enabled;
                       }));
            }
        }
        #endregion
    } 
}
